<script>
  function myFunction(id) {
      var x = document.getElementById(id);
      if (x.style.display === "none") {
	  x.style.display = "block";
      } else {
	  x.style.display = "none";
      }
  }
</script>

<div >
  <button onclick="myFunction(solution{{ .Get 0 }})" style="">Solution</button>
</div>

<div id="solution{{ .Get 0 }}" style="display:none">
  {{ .Inner }}
</div>
